Subject: [MMUSIC] Question about draft-ietf-mmusic-media-loopback-08

From: "Diego Costantini" <[email-masked]>
Date: Tue, 6 May 2008 10:44:41 +0200

Hi,

I would like to have a couple of things more clear. I read:

5.1 Loopback Type Attribute

    ...The loopback-source is 

    able to filter rtp-start-loopback packets from other types of 

    loopback with the payload type of the packet...

7.1.1-2 Usage of RTP Header fields

    Payload Type (PT): The assignment of an RTP payload type for this 

    packet format is outside the scope of this document; it is either 

    specified by the RTP profile under which this payload format is 

    used or more likely signaled dynamically out-of-band (e.g., using 

    SDP; section 7.3 defines the name binding)...

(The last referenced section is not 7.3 but 7.1.3 (and 7.2.3))

7.1.3 Usage of SDP

    The payload type number for the encapsulated stream can be 

    negotiated using a mechanism like SDP. There is no static payload 

    type assignment for the encapsulated stream, so dynamic payload 

    type numbers MUST be used.  The binding to the name is indicated by 

    an rtpmap attribute.  The name used in this binding is "encaprtp".

Since dynamic payload MUST be used, then mentioning in 7.1.1 that it can be specified by the RTP profile could be misleading.

Now I have a question:

Will the loopback-source be the only one always taking care of proposing dynamic payload types? In such case, wouldn't it be enough to have mandatory dynamic packet types for rtp-start-loopback only?

Thank you,

Diego

=============================

Diego Costantini

NEC Europe Ltd.

NEC Laboratories Europe

Network Research Division

Kurfuersten-Anlage 36

69115 Heidelberg

Germany

[email-masked]

http://www.nw.neclab.eu

=============================

_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic